PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
kubly::obszar_aktywny Class Reference

`#include <solvers/gain/wasiak/wzmocnienie/kublybr.h>`

Collaboration diagram for kubly::obszar_aktywny:
[legend]

## Public Member Functions
| obszar_aktywny (struktura *elektron, const std::vector< struktura * > &dziury, double Eg, const std::vector< double > &DSO, double chropo, double matelem=0., double Temp=300.)
| obszar_aktywny (struktura *elektron, const std::vector< struktura * > &dziury, struktura *elektron_m, const std::vector< struktura * > dziury_m, double Eg, const std::vector< double > &DSO, double br, double matelem=0., double Temp=300.)
| obszar_aktywny (struktura *elektron, const std::vector< struktura * > &dziury, double Eg, double DSO, double chropo, double matelem=0., double Temp=300)
| obszar_aktywny (struktura *elektron, const std::vector< struktura * > &dziury, struktura *elektron_m, const std::vector< struktura * > dziury_m, double Eg, double DSO, double broad, double Temp=300, double matelem=0.)
void | zapisz_poziomy (std::string nazwa)
double | min_przerwa_energetyczna () const
void | policz_calki (const struktura *elektron, const struktura *dziura, A2D &macierz, TNT::Array2D< std::vector< double > > &wekt_calk_kaw)
void | policz_calki_kawalki (const struktura *elektron, const struktura *dziura, TNT::Array2D< vector< double > > &macierz)
double | calka_ij (const struktura *elektron, const struktura *dziura, int i, int j, vector< double > &wektor_calk_kaw)
double | iloczyn_pierwotna_bezpola (double x, int nr_war, const struktura *struk1, const struktura *struk2, int i, int j)
double | calka_iloczyn_zpolem (int nr_war, const struktura *struk1, const struktura *struk2, int i, int j)
void | zrob_macierze_przejsc ()
void | paryiprzekrycia_dopliku (ofstream &plik, int nr_c, int nr_v)
double | przekrycia_schodkowe (double E, int nr_c, int nr_v)
void | przekrycia_dopliku (ofstream &plik, int nr_c, int nr_v)
double | element (int nr_war)
void | ustaw_element (double iM)

## Public Attributes
double | przekr_max
double | chrop
double | broad
std::vector< struktura * > | pasmo_przew
std::vector< struktura * > | pasmo_wal
std::vector< struktura * > | pasmo_przew_mod
std::vector< struktura * > | pasmo_wal_mod
std::vector< std::vector< A2D * > > | calki_przekrycia
std::vector< std::vector< TNT::Array2D< std::vector< double > > * > > | calki_przekrycia_kawalki
std::vector< double > | Egcc
std::vector< double > | Egcv
std::vector< double > | DeltaSO
std::vector< double > | el_mac
double | T_ref

## Friends
class | wzmocnienie

## Detailed Description

Definition at line 302 of file kublybr.h.

## Constructor & Destructor Documentation

## ◆ obszar_aktywny() [1/4]

kubly::obszar_aktywny::obszar_aktywny | ( | struktura * | elektron,
|  | const std::vector< struktura * > & | dziury,
|  | double | Eg,
|  | const std::vector< double > & | DSO,
|  | double | chropo,
|  | double | matelem = `0.`,
|  | double | Temp = `300.`
| ) |  |

Definition at line 4096 of file kublybr.cc.

## ◆ obszar_aktywny() [2/4]

kubly::obszar_aktywny::obszar_aktywny | ( | struktura * | elektron,
|  | const std::vector< struktura * > & | dziury,
|  | struktura * | elektron_m,
|  | const std::vector< struktura * > | dziury_m,
|  | double | Eg,
|  | const std::vector< double > & | DSO,
|  | double | br,
|  | double | matelem = `0.`,
|  | double | Temp = `300.`
| ) |  |

Definition at line 4103 of file kublybr.cc.

## ◆ obszar_aktywny() [3/4]

kubly::obszar_aktywny::obszar_aktywny | ( | struktura * | elektron,
|  | const std::vector< struktura * > & | dziury,
|  | double | Eg,
|  | double | DSO,
|  | double | chropo,
|  | double | matelem = `0.`,
|  | double | Temp = `300`
| ) |  |

Definition at line 4110 of file kublybr.cc.

## ◆ obszar_aktywny() [4/4]

kubly::obszar_aktywny::obszar_aktywny | ( | struktura * | elektron,
|  | const std::vector< struktura * > & | dziury,
|  | struktura * | elektron_m,
|  | const std::vector< struktura * > | dziury_m,
|  | double | Eg,
|  | double | DSO,
|  | double | broad,
|  | double | Temp = `300`,
|  | double | matelem = `0.`
| ) |  |

Definition at line 4118 of file kublybr.cc.

## Member Function Documentation

## ◆ calka_ij()

double kubly::obszar_aktywny::calka_ij | ( | const struktura * | elektron,
|  | const struktura * | dziura,
|  | int | i,
|  | int | j,
|  | vector< double > & | wektor_calk_kaw
| ) |  |

Definition at line 4322 of file kublybr.cc.

## ◆ calka_iloczyn_zpolem()

double kubly::obszar_aktywny::calka_iloczyn_zpolem | ( | int | nr_war,
|  | const struktura * | struk1,
|  | const struktura * | struk2,
|  | int | i,
|  | int | j
| ) |  |

Definition at line 4287 of file kublybr.cc.

## ◆ element()

double kubly::obszar_aktywny::element | ( | int | nr_war | ) |

Definition at line 4430 of file kublybr.cc.

## ◆ iloczyn_pierwotna_bezpola()

double kubly::obszar_aktywny::iloczyn_pierwotna_bezpola | ( | double | x,
|  | int | nr_war,
|  | const struktura * | struk1,
|  | const struktura * | struk2,
|  | int | i,
|  | int | j
| ) |  |

Definition at line 4250 of file kublybr.cc.

## ◆ min_przerwa_energetyczna()

double kubly::obszar_aktywny::min_przerwa_energetyczna | ( |  | ) | const

Definition at line 4201 of file kublybr.cc.

## ◆ paryiprzekrycia_dopliku()

void kubly::obszar_aktywny::paryiprzekrycia_dopliku | ( | std::ofstream & | plik,
|  | int | nr_c,
|  | int | nr_v
| ) |  |

Definition at line 4187 of file kublybr.cc.

## ◆ policz_calki()

void kubly::obszar_aktywny::policz_calki | ( | const struktura * | elektron,
|  | const struktura * | dziura,
|  | A2D & | macierz,
|  | TNT::Array2D< std::vector< double > > & | wekt_calk_kaw
| ) |  |

Definition at line 4214 of file kublybr.cc.

## ◆ policz_calki_kawalki()

void kubly::obszar_aktywny::policz_calki_kawalki | ( | const struktura * | elektron,
|  | const struktura * | dziura,
|  | TNT::Array2D< vector< double > > & | macierz
| ) |  |

## ◆ przekrycia_dopliku()

void kubly::obszar_aktywny::przekrycia_dopliku | ( | ofstream & | plik,
|  | int | nr_c,
|  | int | nr_v
| ) |  |

Definition at line 1393 of file kublybr.cc.

## ◆ przekrycia_schodkowe()

double kubly::obszar_aktywny::przekrycia_schodkowe | ( | double | E,
|  | int | nr_c,
|  | int | nr_v
| ) |  |

Definition at line 1366 of file kublybr.cc.

## ◆ ustaw_element()

void kubly::obszar_aktywny::ustaw_element | ( | double | iM | ) |

Definition at line 4458 of file kublybr.cc.

## ◆ zapisz_poziomy()

void kubly::obszar_aktywny::zapisz_poziomy | ( | std::string | nazwa | ) |

Definition at line 4131 of file kublybr.cc.

## ◆ zrob_macierze_przejsc()

void kubly::obszar_aktywny::zrob_macierze_przejsc | ( |  | ) |

Definition at line 4381 of file kublybr.cc.

## Friends And Related Symbol Documentation

## ◆ wzmocnienie

friend class wzmocnienie
| friend

Definition at line 304 of file kublybr.h.

## Member Data Documentation

## ◆ broad

double kubly::obszar_aktywny::broad

Definition at line 316 of file kublybr.h.

## ◆ calki_przekrycia

std::vector<std::vector<A2D *> > kubly::obszar_aktywny::calki_przekrycia

Definition at line 321 of file kublybr.h.

## ◆ calki_przekrycia_kawalki

std::vector<std::vector<TNT::Array2D<std::vector<double> > *> > kubly::obszar_aktywny::calki_przekrycia_kawalki

Definition at line 322 of file kublybr.h.

## ◆ chrop

double kubly::obszar_aktywny::chrop

Definition at line 315 of file kublybr.h.

## ◆ DeltaSO

std::vector<double> kubly::obszar_aktywny::DeltaSO

Definition at line 327 of file kublybr.h.

## ◆ Egcc

std::vector<double> kubly::obszar_aktywny::Egcc

Definition at line 323 of file kublybr.h.

## ◆ Egcv

std::vector<double> kubly::obszar_aktywny::Egcv

Definition at line 325 of file kublybr.h.

## ◆ el_mac

std::vector<double> kubly::obszar_aktywny::el_mac

Definition at line 328 of file kublybr.h.

## ◆ pasmo_przew

std::vector<struktura *> kubly::obszar_aktywny::pasmo_przew

Definition at line 317 of file kublybr.h.

## ◆ pasmo_przew_mod

std::vector<struktura *> kubly::obszar_aktywny::pasmo_przew_mod

Definition at line 319 of file kublybr.h.

## ◆ pasmo_wal

std::vector<struktura *> kubly::obszar_aktywny::pasmo_wal

Definition at line 318 of file kublybr.h.

## ◆ pasmo_wal_mod

std::vector<struktura *> kubly::obszar_aktywny::pasmo_wal_mod

Definition at line 320 of file kublybr.h.

## ◆ przekr_max

double kubly::obszar_aktywny::przekr_max

Definition at line 314 of file kublybr.h.

## ◆ T_ref

double kubly::obszar_aktywny::T_ref

Definition at line 329 of file kublybr.h.

The documentation for this class was generated from the following files:

- solvers/gain/wasiak/wzmocnienie/kublybr.h
- solvers/gain/wasiak/wzmocnienie/kublybr.cc